ubufox (3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
    - Delete the plugin installer wizard implementation and associated code.
      Upstream have disabled PFS and removed their plugin installer wizard now
    - Drop the search engine defaults - these have moved to Firefox
      (LP: #1398174)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Jan 2015 19:41:13 +0000

ubufox (2.9-0ubuntu1) utopic; urgency=medium

  * New upstream release
    - Don't cap the Ubuntu version number used in the startpage URL to a hard
      coded value. Although we build the URL using system information, we
      always had a hardcoded maxium value for the Ubuntu version in order to
      prevent the startpage being broken in the development release. However,
      the 14.10 startpage already exists, and there will be a server-side
      change to make this unnecessary in future development cycles
      (LP: #1320485)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 23 May 2014 14:01:53 +0100

ubufox (2.8-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Use the correct startpage on saucy

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Oct 2013 19:58:25 +0100

ubufox (2.6-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Translation updates, thanks to Adolfo Jayme Barrientos and David Planella

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Nov 2012 13:27:26 +0000

ubufox (2.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release v2.4.1
    - Fix a crash that occurs when the apt cache is broken
    - Fix a whole bunch of memory leaks in the plugin installer
    - Use the correct startpage for 12.10

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 03 Oct 2012 14:58:47 +0100

ubufox (2.4~r353-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
    - Make the plugin update restart notification work again, after a change
      in the plugin host broke it

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 16 Aug 2012 22:01:18 +0100

ubufox (2.3-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
    - Make the startpage work again in Firefox 17

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Jul 2012 17:36:04 +0100

ubufox (2.2-0ubuntu1) quantal; urgency=low

  * Update to 2.2

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jul 2012 17:44:31 +0100

ubufox (2.2~r342-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
    - Make the restart action work again
    - Request a restart on plugin upgrades, but only when the old plugin
      remains in use

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jul 2012 13:56:59 +0100

ubufox (2.2~r328-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
    - Force the startpage on 12.10 to use the 12.04 version for now

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 01 Jul 2012 09:22:39 +0100

ubufox (2.2~r319-0ubuntu1) quantal; urgency=low

  * Update to 2.2~r319
    - Fix LP: #910448 - Update notification bar pushes content down.
      Use a panel for update restart notification instead of the infobar
    - Don't poll for file changes, but use inotify instead to determine
      when we need to display a restart notification
    - Reload plugins after changes in any of the system plugin locations

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 29 Jun 2012 18:52:35 +0100

ubufox (2.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Drop the alternative plugin selector, as it depends on a patch that
      we no longer carry in Firefox
  * Drop the lsb-release build-depend now, as we don't hardcode distro
    information in the build now

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Jun 2012 20:37:53 +0100

ubufox (2.0.3-0ubuntu1) precise-proposed; urgency=low

  * New upstream release v2.0.3
    - Drop the offline startpage fallback. ubuntu-docs hasn't provided the
      fallback homepage for a while now, leaving this feature completely broken
    - Fix selection of appropriate startpage variant by not relying on
      translated strings
    - Fix LP: #988283 - Drop extra parameter from startpage URL when the
      default search provider is Yahoo

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Apr 2012 12:56:22 +0100

ubufox (2.0.2-0ubuntu1) precise; urgency=low

  * New upstream release v2.0.2
    - Fixes LP: #985862 - update startpage URL

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Apr 2012 16:12:06 +0100

ubufox (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release
    - Fix an error when no plugins are found

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 22 Mar 2012 00:10:41 +0000

ubufox (2.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - Bump maxVersion to 13.0a1
    - Fix a regression in the aptdaemon port of the plugin installer, where
      we weren't offering to enable the required source components. This
      is all handled via aptdaemon
    - Fall back to apturl if aptdaemon isn't available
    - Drop the Ask.com searchplugin (LP: #871144)
  * Move back out of the application directory now that LP: #915895 is fixed.
    This means that it also works with nightly builds again
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 02 Mar 2012 18:23:51 +0000

ubufox (1.5-0ubuntu1) precise; urgency=low

  * New upstream release
    - Update for Firefox 12.0a1 compatibility
    - Rewrite the plugin installer code to natively support aptdaemon
      (instead of apturl).
      + Note, this only affects plugin installation - search still happens
        using the online PFS.
    - Simplify the update restart notification code
    - Set the update restart notification reminder period to 15 minutes
  * Drop dependency on apturl, and add dependency on aptdaemon and
    libglib2.0-0 (we're using GDBus via ctypes)
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jan 2012 12:54:26 +0000

ubufox (1.0.2-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Support Firefox 10

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Nov 2011 21:22:11 +0000

ubufox (1.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Fix LP: #877993 - Help -> Report a Problem does nothing
  * Install ubufox in to the Firefox application directory

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 07 Nov 2011 12:45:56 +0000

ubufox (1.0-0ubuntu2) oneiric-proposed; urgency=low

  * Drop debian/patches/use-natty-startpage.patch so that we use the 11.10
    startpage instead (LP: #874109)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 14 Oct 2011 12:45:30 +0100

ubufox (1.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Guard code running in document load handlers with try/catch statements,
      to avoid breaking the whole UI if something goes wrong
    - Remove the uAddonInstaller module entirely, as we're not actually
      using it
    - Remove the ufoxHTTPListener component, nobody is using this
    - Bump the maxVersion to 9.0a1 to run on current nightlies
  * Drop the conffile migration stuff, as there is no upgrade path
    requiring this now
    - remove debian/postinst
    - remove debian/preinst

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 Aug 2011 17:57:59 +0100

ubufox (1.0~b1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Refactor the update restart notify functionality. The scheduling for
      checking if an update has occurred has been moved in to a JS module shared
      between windows, rather than having every window set up its own timer
      and doing its own checking. Each window registers as a listener on the
      new module
    - Drop all of the ubuntuAltPlugins overlay stuff. We still retain the
      dialog for configuring plugins, but the listeners that fired everytime
      a document was loaded or tab was switched have gone. Instead, the
      information required by the dialog is created when it is launched, rather
      than maintaining a bunch of state on each content document.
    - Clean up the variables that are added to the main window global scope.
      The only variables added now are functions called by menuitem oncommand
      handlers, and these are all namespaced org.ubuntu.Ubufox
    - Hide the translate menuitem in the help menu. It makes no sense to show
      this whilst we aren't using Launchpad for translations
    - Bump maxVersion to 8.0a1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 29 Jul 2011 08:14:18 +0100

ubufox (1.0~a1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix LP: #758830 - duplicate (R) strings on "Restart" button in
      Japanese (Nobuto MURATA)
    - Drop old releases from pfsdb code, and ensure we add new releases to the
      DB (Chris Coulson)
    - Bump maxVersion to 6.0.* (Chris Coulson)
    - spellchecking.dictionary should actually be spellchecker.dictionary,
      so we actually get a default spellcheck language (Chris Coulson)
    - Add support for installing system-wide extensions in to the users profile.
      This is only going to be used on Lucid and Maverick as a way to support
      existing system-wide extensions (Chris Coulson)
    - Add a new pref for changing the default homepage, by changing the URL
      provided by about:startpage (Martin Pitt)
    - Fix the startpage for en-AU, en-CA, en-GB and pt (Chris Coulson)
    - Fix LP: #542046 - Provide zh-TW translations (Cheng-Chia Tseng / kecsap)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 17 Jun 2011 09:42:07 +0100

ubufox (0.9.1-0ubuntu2) oneiric; urgency=low

  * Hard-code distro version to Natty for now to work around LP: #790617
    - update defaults/preferences/dist.js

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 01 Jun 2011 11:37:55 +0100

ubufox (0.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release v0.9.1
    - Bump maxVersion to 0.6.* (it's compatible with what is about to go
      in to mozilla-aurora)
    - Fix a typo in the "spellchecker.dictionary" default prefs

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 May 2011 16:54:37 +0100

ubufox (0.9-0ubuntu1) natty; urgency=low

  * New upstream release v0.9
  * All patches are merged in to the upstream branch now

  * Fix LP: #750305 - Please update links and configs for Natty release.
    Rather than doing this manually for every release, we add a dist.js with
    distro information (populated at build time with lsb_release) and just
    do all this automatically.
  * Fix LP: #752364 - Plugin Finder Service never finds anything. Use the
    release info in dist.js to construct the URL, now that this got dropped
    from Firefox
  * Fix LP: #728826 - Update icons to new versions.
  * Drop the pluginGlue.js module. This didn't work, as we can no longer
    use a modules registerSelf method to use nsICategoryManager at startup,
    due to the XPCOM registration changes in Firefox 4. Instead, add
    category entries with the chrome.manifest
  * Fix LP: #709125 - User agent doesn't include Ubuntu in it so
    apt.ubuntu.com doesn't work. We add an extra X-Ubuntu HTTP header in
    requests to apt.ubuntu.com, rather than send this information out in
    every request in the UA string

  * Add build-depend on lsb-release so we can create dist.js

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 09 Apr 2011 00:08:51 +0100

ubufox (0.9~rc2-0ubuntu12) natty; urgency=low

  * Update Japanese(ja) translations (LP: #746538)
    - add debian/patches/10_update_ja_translation.patch

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Sun, 03 Apr 2011 21:20:54 +0900

ubufox (0.9~rc2-0ubuntu11) natty; urgency=low

  * Don't set some preferences that we're already setting in Firefox
    - add debian/patches/09_dont_duplicate_prefs.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 11 Feb 2011 01:15:03 +0000

ubufox (0.9~rc2-0ubuntu10) natty; urgency=low

  * Set maxVersion to 4.0.*, things are not likely to break before final
    - update debian/patches/06_firefox-4.patch
  * Fix LP: #333799 - Default dictionary is unspecified
    - add debian/patches/08_default_dictionary.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Jan 2011 16:04:50 +0000

ubufox (0.9~rc2-0ubuntu9) natty; urgency=low

  * Bump maxVersion to 4.0b10pre
    - update debian/patches/06_firefox-4.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 12 Jan 2011 21:55:56 -0600

ubufox (0.9~rc2-0ubuntu8) natty; urgency=low

  * Fix LP: #579091 - ubufox interferes with toolbar buttons for other add-ons.
    Don't initialize or assign any value to gBrowser in alternatePlugins.js.
    It runs in the context of browser.xul, so gBrowser will always exist
    once the browser window has loaded
    - add debian/patches/07_dont_mess_with_gbrowser.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 06 Jan 2011 00:51:35 +0000

ubufox (0.9~rc2-0ubuntu7) natty; urgency=low

  * Add patch to update for Firefox 4:
    - Rename AboutHome to AboutStartup, and have it handle about:startup now 
      (to not conflict with the new about:home handler in Firefox
    - Set default home page to about:startpage
    - Add support for the XPCOM changes in Gecko 2.0
    - In the restart notifier, don't hardcode a list of filenames for different
      browser versions, but just use MOZ_APP_LAUNCHER instead. This will
      indirectly fix LP: #511250 and should prevent it from happening again
    - Look in the new location for the restart-required trigger, it has moved
      to a location not monitored by update-notifier now, so we only get the
      restart required notification in the browser
    - Merge the plugin finder code from Firefox 4. This now uses AddonManager,
      so the MinVersion needs to be bumped
    - Drop the FF2.0 specific code
    - Drop the AddonsOverlay and associated code, this hasn't worked for
      several releases since we started using software-center, and nobody
      really noticed so far. We can reimplement this at a later date if wanted,
      but it throws JS exceptions when loading in FF4.0 now
    - Specify for the extension to be unpacked by the installer. Without this,
      the prefs aren't used
    - Get the distributionID field for the pfs URL from the preferences, rather
      than hard-coding a value

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 01 Jan 2011 14:30:25 +0000

ubufox (0.9~rc2-0ubuntu6) natty; urgency=low

  [ Nobuto Murata <nobuto@nobuto-murata.org> ]
  * Change release notes target to 10.10 (LP: #664651)
    - add debian/patches/04_maverick_release_notes_links.patch
    - update debian/patches/series

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Change translations and answers links to Maverick (LP: #664274)
    - add debian/patches/05_translations_answers_links.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 27 Oct 2010 00:31:17 -0400

ubufox (0.9~rc2-0ubuntu5) maverick; urgency=low

  * Fix LP: #589228 - Firefox homepage in Maverick is still set to 10.04
    version. Update the startpage URL now for Maverick
    - add debian/patches/03_maverick_startpage.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 23 Sep 2010 23:20:22 +0100

ubufox (0.9~rc2-0ubuntu4) maverick; urgency=low

  [ Chris Coulson ]
  * Backport change to fix URL template used for about:home; this fixes the 
    problem that Yahoo about:home cannot be reached; also we get rid of the 
    redirect everyone is getting on about:home to the Google/ url (LP: #606728)
    - add debian/patches/02_fix_about_home.patch
    - add debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 24 Aug 2010 21:26:36 -0500

ubufox (0.9~rc2-0ubuntu3) maverick; urgency=low

  [ K. Vishnoo Charan Reddy ]
  * debian/control: Improve description (LP: #123713).

  [ Benjamin Drung ]
  * Rename the binary package to xul-ext-ubufox.
  * Drop Vcs-Bzr field. It's maintained in lp:ubuntu/ubufox now.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Switch from debhelper 5 to 7.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 11 Aug 2010 01:03:53 +0200

ubufox (0.9~rc2-0ubuntu2) lucid; urgency=low

  * Bump Standards-Version to 3.8.4.
  * Drop XS- prefix from Vcs-Bzr.
  * Drop zip from Build-Depends.
  * Use new features of mozilla-devscripts 0.16.
  * Simplify debian/rules.
  * Refer to versioned license file.
  * Add Homepage field.
  * Add set -e and debhelper token to preinst script.
  * Move configuration file from /etc/firefox-3.0/pref/ubufox.js to
    /etc/xul-ext/ubufox (LP: #493805).
  * Remove unused patch system.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 14:22:58 +0200

ubufox (0.9~rc2-0ubuntu1) lucid; urgency=low

  New upstream release 0.9rc2:
  * fix online/offline detection by using nsIIOService rather than browser.offline pref
    - thx to Chris Coulson <chrisccoulson@ubuntu.com> for the patch
  * use nsIPluginHost to reloadPlugins as nsIPluginManager was removed in ffox 3.6
    - update content/pluginAlternativeOverlay.js
  * fix problem in plugin installer wizard as ubufoxPluginWizardString bundle
    is not accessible through 'this' since ffox 3.6 anymore
    - update content/pluginInstallerWizard.js
  * use Google by default for all languages
    - update locale/*/ubufox-search.properties
  (merge lp:~csaba-kertesz/ubufox/lp418777)
  * fix LP: #418777 - Portuguese string consistency
  (merge lp:~csaba-kertesz/ubufox/lp381674)
  * fix LP: #381674 - Unnecessary whitespace before ellipsis in Ubuntu Firefox menu
  (merge lp:~csaba-kertesz/ubufox/lp414926)
  * fix LP: #414926 - add Bulgarian translation
  (merge lp:~csaba-kertesz/ubufox/lp509536)
  * fix LP: #509536 - add dutch translation

 -- Alexander Sack <asac@ubuntu.com>  Fri, 09 Apr 2010 15:31:08 +0200

ubufox (0.9~rc1-0ubuntu1) lucid; urgency=low

  New upstream release 0.9rc1:
  * fix LP: #526411 -   In a fresh installation, firefox search engines are ordered alphabetically;
    we add ubufox-search.properties for all supported locales
  * fix LP: #452948 - Ellipses are corrected in "Report a Problem..." translations.
    - update locale/*/ubufox.dtd
  * fix LP: #522535 - Apport doesn't recognise Firefox 3.6; add
    getSourcePackageName(); update getAppVersion() to reflect unversioned
    Firefox 3.6
    - update content/overlay.js
  * set Yahoo as browser.search.order.1 and Google as .2
    - update defaults/preferences/ubuntu-mods.js
    - update locale/en-US/ubufox-search.properties
  * drop cherry picked patch
    - delete debian/patches/lp522535_fix_content_overlay.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Fri, 02 Apr 2010 13:51:43 +0200

ubufox (0.9~b1-0ubuntu2) lucid; urgency=low

  * fix LP: #522535 - Apport doesn't recognise Firefox 3.6; add
    getSourcePackageName(); update getAppVersion() to reflect unversioned
    Firefox 3.6
    - add debian/patches/lp522535_fix_content_overlay.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 15 Mar 2010 16:57:22 -0500

ubufox (0.9~b1-0ubuntu1) lucid; urgency=low

  New upstream beta release 0.9b1:
  * release 0.9b1
  * use lucid for getHelpUrl and translateUrl
    - update content/overlay.js
  * point pfs urls to 10.04 DB by default
    - update defaults/preferences/ubufox-pfs.js
  * enable i386 and amd64 for 10.04 release
    - update pfs/db/recreatedb.sh
  * add lucid (10.04) to pfs db code and configs
    - add pfs/db/sources.list.10.04
    - update pfs/db/recreatedb.sh
  * update ubufox.properties for all locales to point to 1004 release notes
    - update locale/*/ubufox.properties
  * switch to Yahoo as default searchengine for en-US (and for all langs that
    dont ship their own ubufox-search.properties
    - add locale/en-US/ubufox-search.properties
    - update defaults/preferences/ubuntu-mods.js
  * rename aboutHome.js class to AboutHome (from AboutCertError)
    - update components/aboutHome.js
  * use current search engine to guess online URL for sensitive search plugin
    - update components/aboutHome.js
  * move online page to 10.04 by default
    - update components/aboutHome.js
  * fix firefox 3.0 not having a browser.offline pref set until online status changes for first time
    - update components/aboutHome.js
  * LP: #455474 - Start page can access chrome with JavaScript; we
    move default homepage from chrome//... to a new about:home handler
    - delete content/startpage.html
    - add components/aboutHome.js
    - update locale/*/ubufox.properties

  (cherry pick rev 199 from lp:ubufox)
  * set Yahoo as browser.search.order.1 and Google as .2

 -- Alexander Sack <asac@ubuntu.com>  Wed, 17 Feb 2010 21:49:55 +0100

ubufox (0.8-0ubuntu1) karmic; urgency=low

  New upstream release 0.8:
  * fix LP: #437604 - [pl-PL] Polish translation update for ubufox [attached];
    applying translations submitted by Tomasz Dominikowski
  * fix LP: #427697 - Ubufox links to Firefox 3.0 bugs and answers
    on Karmic; the fix involves replacing all hard coded firefox
    version strings in overlay.js with getAppVersion(); this fixes
    "get help", "translate ..." and "report a problem" menu items.
  * fix LP: #447148 - Manage Content Plugins menu item disabled when no
    plugins active; never disable the menu item and open the wizard with
    "All plugins" radio preselected if there are no plugins in use on the
    current active tab
  * fix LP:# 440987 - add ubuntu 9.10 to plugin db creation script and drop 7.10
  * move plugin finder webservice to mozilla-pfs.ubuntu.com

 -- Alexander Sack <asac@ubuntu.com>  Mon, 12 Oct 2009 16:02:46 +0200

ubufox (0.8~b1-0ubuntu1) karmic; urgency=low

  New upstream release 0.8b1 fixes:
  * fix: LP: #365965 - installing firefox pulls in ubufox and all gnome depends
    through apturl; we add alternative Depends on apturl-kde to make ubufox kde
    friendlier
    - update debian/control
  * fix LP: #423438 - ubufox can't use apturl on karmic; honour shebang by
    calling command directly rather than the python interpreter. Thx to Micah
    Gersten who provided the upstream fix.
    - update content/pluginInstallerService.js
  * fix LP: #403581 - restart required notification and button not shown
    in ffox 3.5; support multiple versions of in updateRestart.js; we use runtime
    application info from extIApplication.version
    - update content/updateRestart.js
  * fix LP: #411222 - restart required notification should be shown with
    less delay; checking for restart notification every 5 seconds (was 10 before) now
    - update content/updateRestart.js
  * fix LP: #429937 - plugin alternative wizard not available if there is no
    plugin content detected; don't disable "Manage Content Addons" initially;
    the dialog even makes sense if there is plugin content used atm.
    - update content/ubuntuAltpluginsOverlay.xul
  * fix LP: #399229 - update ubufox strings from 9.04 to 9.10 in various places
    + update releasenotes url in locale/*/ubufox.properties
    + update HOMEPAGE_ONLINE in startpage.html
    + update plugin finder service database url in ubufox-pfs.js
    + update gethelp and translate urls in overlay.js
    + update execute command to use firefox rather than firefox-3.0 in overlay.js
    + include karmic sources in plugin db creation
      - add pfs/db/sources.list.9.10
  * support firefox 3.6 and 3.7 restart required feature and set maxVersion
    to 3.7.*
    - update content/updateRestart.js
    - update install.rdf   

 -- Alexander Sack <asac@ubuntu.com>  Tue, 15 Sep 2009 12:18:32 +0200

ubufox (0.8~a1-0ubuntu1) karmic; urgency=low

  * new upstream snapshot 0.8a1 for karmic; fixes:
    - LP: #363798 - ubufox can't install adobe flash plugin on 64-bit jaunty live-cd
    - LP: #371800 - Ubufox should list Adobe flash as first choice
    - LP: #347972 - Does not work with Shiretoko Web Browser (Firefox 3.5)
    - LP: #394737 - Cannot be installed with firefox-3.5
  * LP: #399227 - update karmic homepage to http://start.ubuntu.com/9.10
    - update content/startpage.html

 -- Alexander Sack <asac@ubuntu.com>  Tue, 14 Jul 2009 13:05:08 +0200

ubufox (0.7-0ubuntu1) jaunty; urgency=low

  * ubufox 0.7 final release
    + fix plugin finder urls to properly point to 9.04 distributionID
      - update ./defaults/preferences/ubufox-pfs.js
    + using the localstore.rdf in the users profile as a source for the startup
      time turned out to be too unreliable; we drop that approach and use nsCategoryManager singleton to
      store a timestamp pretty close to the actual startup time; this fixes the infamous infinit startup
      notification bug (LP: #270303)
      - update content/updateRestart.js
    + add pfsdb meta file sources.list for 9.04 (jaunty)
      - add pfs/db/sources.list.9.04
    + revert changes from revno 149 to ubuntu-mods.js preferences that broke
      localization of websites (LP: #353924)
      - update defaults/preferences/ubuntu-mods.js
    + properly fallback to not-localized useragent.locale pref
      - update content/startpage.html

 -- Alexander Sack <asac@ubuntu.com>  Tue, 14 Apr 2009 12:00:58 +0200

ubufox (0.7~rc1-0ubuntu1) jaunty; urgency=low

  * new upstream release 0.7rc1 for jaunty

 -- Alexander Sack <asac@ubuntu.com>  Thu, 19 Mar 2009 00:02:39 +0100

ubufox (0.7~b1-0ubuntu1) jaunty; urgency=low

  * new upstream snapshot 0.7b1 for jaunty
  * add .bzr-builddeb/default.conf and define proper upstream revid for
    easy tarball export

 -- Alexander Sack <asac@ubuntu.com>  Wed, 18 Feb 2009 21:41:40 +0100

ubufox (0.6-0ubuntu3) UNRELEASED; urgency=low

  * LP: #281348 - Firefox only shows default icons in toolbars with tabmixplus
    and ubufox installed; we cherry pick rev 148 from lp:ubufox tree
    - update content/alternatePlugins.js

 -- Alexander Sack <asac@ubuntu.com>  Tue, 02 Dec 2008 01:34:17 +0100

ubufox (0.6-0ubuntu2) jaunty; urgency=low

    + LP: #291417 - Installing Plugins on LiveCD - No description found in
      plugin database; we fix distributionID in pfs.datasource.url pref.
      - update defaults/preferences/ubufox-pfs.js

 -- Alexander Sack <asac@ubuntu.com>  Mon, 01 Dec 2008 11:43:28 +0100

ubufox (0.6-0ubuntu1) intrepid; urgency=low

  * ubufox release 0.6 (lp:ubufox / bzr 145)
    + point gethelp and translate help menu entries to intrepid
      - update content/overlay.js
    + Fix LP: #283517; ubufox 0.6pre lacks translations for new strings;
      update all translations sent in for 0.6 release; thanks to all
      translators and a special thank to Saïvann Carignan <oxmosys@gmail.com>
      for his work on verifying and driving the contributions.

  * fix LP: #259914 - prefs in ubufox extension override system prefs;
    to fix we ship /etc/firefox-3.0/pref/ubufox.js where admins can place their
    system prefs and link it properly to the global ubufox defaults
    preferences directory
    - add debian/ubufox.js
    - update debian/rules
  * more for fix LP: #259914: we ship proper example for global homepage and
    adjust the example in the global ubufox.js accordingly
    - add debian/docs
    - add debian/example-homepage.properties
    - update debian/ubufox.js

 -- Alexander Sack <asac@ubuntu.com>  Tue, 21 Oct 2008 16:29:49 +0200

ubufox (0.6~pre+bzr141-0ubuntu1) intrepid; urgency=low

  * ubufox release candidate 0.6 (lp:ubufox / bzr 139);
  * New features in ubufox 0.6:
    - firefox restart notification on upgrade
    - improved plugin wizard
    - plugin alternative wizard lets you select a preferred plugin
      for a specific mime-type
  * elminate all cherry picked changes since beta1
    - (cherry-pick rev 111 from lp:ubufox)
    - (cherry-pick rev 112 from lp:ubufox)
    - (cherry-pick rev 113 from lp:ubufox)
    - (cherry-pick rev 114 from lp:ubufox)
    - (cherry-pick rev 116 from lp:ubufox)
    - (cherry-pick rev 115 from lp:ubufox)

 -- Alexander Sack <asac@ubuntu.com>  Wed, 15 Oct 2008 00:34:23 +0200

ubufox (0.6~b1-0ubuntu4) intrepid; urgency=low

  (cherry-pick rev 116 from lp:ubufox)
  * fix LP: #273948 - restart notification broken for locales that lack
    restart notification string translation; we put 'restart' notification
    strings in their own .properties file to prevent breakage due to partial
    ubufox.properties files for non en-US languages and adjust files that
    refernce the new strings accordingly.
    - add locale/en-US/ubufox-restart.properties
    - update content/updateRestart.js
    - update content/updateRestart.xul
    - update locale/en-US/ubufox.properties

 -- Alexander Sack <asac@ubuntu.com>  Wed, 24 Sep 2008 18:50:51 +0200

ubufox (0.6~b1-0ubuntu3) intrepid; urgency=low

  (cherry-pick rev 112 from lp:ubufox)
  * fix LP: #269656 - AN IRRELEVANT LICENSE IS PRESENTED TO YOU
    FREE-OF-CHARGE ON STARTUP; we backout the infamous firstrun feature 
    (reverse apply rev 103)
    - update content/overlay.js
    - update defaults/preferences/ubufox.js
    - remove content/mozeula.html

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

  (cherry-pick rev 113 from lp:ubufox)
  * set all translations for startup.homepage_override_url and
    startup.homepage_welcome_url to about:blank; this prevents firstrun
    and milestone pages to appear
    - update locale/*/ubufox.properties

  (cherry-pick rev 114 from lp:ubufox)
  * HOMEPAGE_ONLINE now points to ubuntu 8.10 release startpage
    - update content/startpage.html

  (cherry-pick rev 115 from lp:ubufox)
  * dont make alternate plugin binding break flashblock; our
    bindings are not \!important anymore
    - update content/alternatePluginsBinding.css

 -- Alexander Sack <asac@ubuntu.com>  Tue, 23 Sep 2008 17:48:53 +0200

ubufox (0.6~b1-0ubuntu2) intrepid; urgency=low

  (cherry-pick rev 111 from lp:ubufox)
  * reintroduce general.useragent.locale pref dropped in 0.6~b1.
    Without that pref the current startpage.html
    breaks and displays a blank page. LP: #271443
    - update defaults/preferences/ubuntu-mods.js

 -- Alexander Sack <asac@ubuntu.com>  Wed, 17 Sep 2008 20:53:43 +0200

ubufox (0.6~b1-0ubuntu1) intrepid; urgency=low

  [ Luis Arias ]
  * MERGE 0.6~b1 release from lp:ubufox

 -- Alexander Sack <asac@ubuntu.com>  Fri, 12 Sep 2008 12:02:19 +0200

ubufox (0.5-0ubuntu1) hardy; urgency=low

  * bump version to 0.5 final
    - update install.rdf

 -- Alexander Sack <asac@ubuntu.com>  Sun, 20 Apr 2008 14:17:40 +0200

ubufox (0.5~rc2-0ubuntu1) hardy; urgency=low

  * New ubufox release 0.5~rc2:
    - ships a hybrid startpage that reliably detects online/offline state
      and redirects to online/offline version of startpage accordingly.
    - use distributionID in pfs url to allow plugin finder web service to
      return distinct results depending on the distro the user is running.
    - add uk (ukrainian) translation
    - fix locale mapping for italian language (LP: #212446) by Damiano
      Dallatana
      + update chrome.manifest
 
 -- Alexander Sack <asac@ubuntu.com>  Mon, 14 Apr 2008 09:59:02 +0200

ubufox (0.5~rc1-0ubuntu1) hardy; urgency=low

  Upstream Changes integrated
  * make apturl dependency versioned (>= 0.1.2ubuntu1) - LP: #162609
  * multi distro capability of DB creation script and web service
    (LP: #204435, #177514)
  * simplify ffox 3 code for dispatching NewPluginInstalled events
  * fix plugin Installer Wizard for ffox 3 (LP: #202790)
  * point ubufoxReportBug to firefox-3.0 source package
  * point online help and translate menu entry to firefox-3.0 package and hardy
    distribution (LP: #138968, #203729)
  * merge greek-translation contributed by Athanasios Lefteris
  * LP: #139380, #175969 - merge translations contributed by ubuntu community;
    thanks to Saïvann Carignan for his work on collecting and integrating most
    of them.
    - Added Greek locale - submitted by Athanasios Lefteris (LP: #211404)
    - add Slovenian locale
    - add Swedish locale (LP: #207666)
    - add Portuguese locale
    - add Lithuanian locale (LP: #206133)
    - add Italian locale (LP: #207372)
      + fix mispelled word in Italian translation
    - add Afrikaans locale (LP: #206733)
    - add fr-FR and fr-CA translations
    - add polish translations (LP: #202248)
  * merge fix for LP: #176658 - by Saïvann Carignan <oxmosys@gmail.com>
    - fix ubufox to use the png icon

  Package changes:
  * append &distributionID=8.04 to pfs.datasource.url shipped as defaults
    preference
    - update defaults/preferences/ubufox-pfs.js

 -- Alexander Sack <asac@ubuntu.com>  Sat, 05 Apr 2008 06:35:40 +0200

ubufox (0.5~beta2.1-0ubuntu1) hardy; urgency=low

  * merge 0.5 beta 2.1 from upstream branch
   - backout hybrid startup page to fix alternating home page for users with
     high latency connections

 -- Alexander Sack <asac@ubuntu.com>  Thu, 13 Mar 2008 22:15:39 +0100

ubufox (0.5~beta2-0ubuntu3) hardy; urgency=low

  * remove ubufox@ubuntu.com directories in /usr/lib/firefox/extensions
    and /usr/lib/firefox-addons/extensions to prepare the install of links
    to /usr/share/ubufox/ instead
    - add debian/preinst

 -- Alexander Sack <asac@ubuntu.com>  Thu, 13 Mar 2008 16:59:38 +0100

ubufox (0.5~beta2-0ubuntu2) hardy; urgency=low

  * fix ftbfs: add zip to build dependencies
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 13 Mar 2008 15:40:37 +0100

ubufox (0.5~beta2-0ubuntu1) hardy; urgency=low

  * new upstream release v0.5 beta2
    - includes ask.com as searchplugin
    - redirects to (localized) hybrid igoogle default startpage if user is
      online.
  * switch to mozilla-devscripts xpi.mk for building this extension
    - update debian/control
    - update debian/rules
  * xpi.mk automizes all; drop debhelper files
    - remove debian/ubufox.install
    - remove debian/ubufox.dirs
  * added translations fi-FI and ru-RU (thanks to Daniel Abramov)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 13 Mar 2008 12:19:52 +0100

ubufox (0.5~beta1-0ubuntu1) hardy; urgency=low

  * support firefox 3 and 2 from the same package
    - update debian/ubufox.dirs
    - update debian/ubufox.install
    - update debian/control
  * drop All patches shipped in ubuntu diff.gz
    - drop debian/patches/lp139380_ubufox_add_finnish_translation.patch
    - drop debian/patches/lp134426_prepatch_fix_pluginfinder_runs_forever.patch
    - drop debian/patches/lp123713_addon_description_fix.patch
    - drop debian/patches/fix_broken_radiobutton_command.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 13 Feb 2008 18:53:15 +0100

ubufox (0.4~beta1-0ubuntu4) gutsy; urgency=low

  * Improve Description of package/extension (LP: #123713):
    - debian/patches/lp123713_addon_description_fix.patch,series: patch
      install.rdf to improve description in addons dialog.
    - debian/control: improve package description.
  * debian/patches/lp139380_ubufox_add_finnish_translation.patch,series:
    - add finish translation to ubufox (LP: #139380).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 08 Oct 2007 14:29:05 +0200

ubufox (0.4~beta1-0ubuntu3) gutsy; urgency=low

  * debian/rules, debian/control, debian/patches/: setup quilt patchsystem for
    ubuntu package.
  * debian/patches/lp134426_prepatch_fix_pluginfinder_runs_forever.patch,
    debian/patches/series: fix pluginfinder runs forever (LP: #134426); patch
    by Sasa Bodiroza <jazzva@gmail.com>.
  * debian/patches/fix_broken_radiobutton_command.patch, debian/patches/series:
    add patch that fixes broken plugin selection - prefetched from ubufox
    development branch.

 -- Alexander Sack <asac@ubuntu.com>  Mon, 27 Aug 2007 11:26:13 +0200

ubufox (0.4~beta1-0ubuntu2) gutsy; urgency=low

  * debian/control: add apturl as binary depends

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Aug 2007 20:53:49 +0200

ubufox (0.4~beta1-0ubuntu1) gutsy; urgency=low

  * ubufox 0.4~beta1 release that ships features for
    https://blueprints.launchpad.net/ubuntu/+spec/firefox-distro-addon-support:
    - new plugin finder wizard that allows to install apt packages
    - new "Get Ubuntu Addons" link in Tools -> Addons dialog that will
      bring up gnome-app-install with available xul-extension packages.
  * credits go to Sasa Bodiroza <jazzva@gmail.com> who helped
    implementing 0.4~beta1 features.

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Aug 2007 15:12:56 +0200

ubufox (0.3-0ubuntu1) gutsy; urgency=low

  * ubufox 0.3 featuring ubuntu help menu overlays

 -- Alexander Sack <asac@ubuntu.com>  Tue, 31 Jul 2007 13:35:25 +0000

ubufox (0.2-0ubuntu2) gutsy; urgency=low

  * defaults/preferences/ubuntu-mods.js: reestablish ubuntu
    behaviour ... ensure that new links are opened in tabs" 

 -- Alexander Sack <asac@ubuntu.com>  Thu, 19 Jul 2007 11:32:01 +0200

ubufox (0.2-0ubuntu1) gutsy; urgency=low

  * Initial release of ubufox extension package.

 -- Alexander Sack <asac@ubuntu.com>  Mon, 02 Jul 2007 16:20:20 +0200
